Subject: bug#38563: 27.0.50; Company popup renders with newlines (?) inheriting the bg properties of the character at next line's bol

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Dec 2019 15:31:13 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sat, 21 Dec 2019 15:22:46 +0200
> 
> > In fact, I was about to
> > ask you to make a similar (less elegant) change,
> 
> Like temporarily changing the face of the underlying character? Yeah, I 
> would have paused at that idea.

No, a different change in the face you put on the newline.

> > because I couldn't
> > think of a way to resolve this in core: when a face explicitly asks to
> > extend itself past EOL, we cannot in good faith refrain from doing so
> > in some use cases.
> 
> Let's see if other third-party issues come up, then.

Right.